Creator posts, TikTok Shop videos or approved submissions that can become a Meta ad
GET
/api/public/v1/meta_ads/sourcesLiveAnswers from your brand's records now.
Operation id listMetaAdSources
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/meta_ads/sources" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| source | query | string | One of social_poststik_tok_shop_videossubmissions Default social_posts |
| campaign_id | query | integer | |
| campaign_affiliate_id | query | integer | |
| creator_id | query | integer | |
| platform | query | string | One of instagramtik_tokyoutubetwitterfacebook |
| ad_attachment | query | string | One of allattachednot_attached Default all |
| start_date | query | string | |
| end_date | query | string | |
| search | query | string | |
| page | query | integer | Default 1 |
| per_page | query | integer | Default 25 |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | array of object | |
| data[].[].campaign_affiliate_id | integer | |
| data[].[].campaign_id | integer | |
| data[].[].creative_source | object | |
| data[].[].creative_source.social_post_id | string | |
| data[].[].creator | object | |
| data[].[].creator.handle | string | |
| data[].[].creator.id | integer | |
| data[].[].creator.name | string | |
| data[].[].existing_meta_ad | , nullable | |
| data[].[].gmv | , nullable | |
| data[].[].id | string | |
| data[].[].meta_ad_code | object | |
| data[].[].meta_ad_code.code | string | |
| data[].[].meta_ad_code.status | string | |
| data[].[].meta_partnership_ad_request_id | integer | |
| data[].[].platform | string | |
| data[].[].posted_at | string | |
| data[].[].product | object | |
| data[].[].product.id | integer | |
| data[].[].product.name | string | |
| data[].[].share_url | string | |
| data[].[].source | string | |
| data[].[].thumbnail_url | string | |
| data[].[].video_url | string | |
| data[].[].whitelisting_status | string | |
| meta | object | |
| meta.has_more | boolean | |
| meta.page | integer | |
| meta.per_page | integer | |
| meta.returned | integer | |
| meta.total_count | integer | |
| meta.total_pages | integer | |
| source | string | |
| success | boolean |
Example
{
"data": [
{
"campaign_affiliate_id": 1024,
"campaign_id": 1024,
"creative_source": {
"social_post_id": "string"
},
"creator": {
"handle": "string",
"id": 1024,
"name": "Example name"
},
"existing_meta_ad": "string",
"gmv": "string",
"id": "string",
"meta_ad_code": {
"code": "MAYA15",
"status": "string"
},
"meta_partnership_ad_request_id": 1024,
"platform": "string",
"posted_at": "2026-11-01T15:04:05Z",
"product": {
"id": 1024,
"name": "Example name"
},
"share_url": "https://example.com/p/1",
"source": "string",
"thumbnail_url": "https://example.com/p/1",
"video_url": "https://example.com/p/1",
"whitelisting_status": "string"
}
],
"meta": {
"has_more": true,
"page": 1,
"per_page": 1,
"returned": 3,
"total_count": 3,
"total_pages": 1
},
"source": "string",
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.